// ==========================================
// PROGRAMMER : LUQMAN HAKIM BIN YUSOF
// TITLE 	  : BASIC SETUP
// ==========================================

#include <pic.h>
#define suis = RB0 //
#define relay = RD0 //
// ==========================================
// PROTOTYPE
// ==========================================
void init_io ( void ) ;
void setup_digital ( void ) ;

// ==========================================
// SUBROUTINES PROTOTYPE
// ==========================================
void init_io ( void )
{
	TRISA = 0b00000000;//
	TRISB = 0b11111111;//
	TRISC = 0b00000000;//
	TRISD = 0b00000000;//
	TRISE = 0b00000000;//
	
	PORTA = 0B00000000;//
	PORTC = 0B00000000;//
	PORTD = 0B00000000;//
	PORTE = 0B00000000;//
}

void setup_adc ( void )
{
	ADCON0 = 0b10000000;	//Left justified, RA0, RA1 and RA3 as ADC input
	ADCON1 = 0b01000100;	//Fosc/32, channel 0, ADC not active, ADC off

void setup_digital (void) 
{
	ADCON0 = 0b10000000;	//all adc is digital output
	ADCON1 = 0b01000111;	
}